angular rxjs升级rxjs6遇到的问题

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/afjaklsdflka/article/details/81276048
  • angular6现在内部用RxJS6,因此你要更新你的应用
  • RxJS 6改变了import的方式
//RxJS5 版本
 import { Observable } from 'rxjs/Observable';
 import 'rxjs/add/observable/of';
 import 'rxjs/add/operator/map';

 const squares$: Observable<number> = Observable.of(1,2).map(n => n * n);
//RxJS5.5版本
 import { Observable } from 'rxjs/Observable';
import { of } from 'rxjs/observable/of';
import { map } from 'rxjs/operators';

 const squares$: Observable<number> = of(1,2).pipe(map(n => n * n);
 )
//现在引入RxJS 6.0
import { Observable, of } from 'rxjs';
import { map } from 'rxjs/operators';
const squares$:Observable<number> = of(1, 2).pipe(
  map(n => n * n)
  )
  • RxJS发布了一个'rxjs-compat'库,这样的话即使你目前用的不是6.0版本,他也会帮你去编译成6.0的新语法。
//RxJS6以前:
"dependencies": {
//...
"rxjs":"5.5.10",
"zone.js" :"0.8.26"
}
//RxJS6:
"dependencies": {
//...
"rxjs":"6.0.0",
"rxjs-compat":"6.0.0",
"zone.js" :"0.8.26"
}
  • angular开发小组写了一个 RxJS v5.x 向v6升级指南
  • 注意:新发布了一款TypeScript语法检测工具 -- 'rxjs-tslint' !,内含4项规则,使用'tslint --fix'可以自动将你的RxJS迁移到最新版本,(这样的话即使现在不会v6版本也没关系),
规则名字 简介
rxjs-collapse-imports 将来自rxjs的多个对象导入到一个
rxjs-pipeable-operators-only 将有副影响的operators迁移到pipes管道里
rxjs-no-static-observable-methods 迁移静态Observables方法调用
rxjs-proper-imports 升级 RxJS 5.x.x 里的import语法到RxJS 6.0

 

阅读更多
想对作者说点什么?

博主推荐

换一批

没有更多推荐了,返回首页